---
date: 2020-05-20
title: "Tutorials and Shared Resources"
linkTitle: "Tutorials and Shared Resources"
weight: 60
description: >
  A summary of recommended walk-throughs, blog posts, examples and shared resources about Azkarra Streams

---

## Presentations 

* Paris Kafka Meetup (2020-02) : Let's Write A Production-Ready Kafka Streams App Before The End Of This Talk! ([slides](https://speakerdeck.com/fhussonnois/lets-write-a-production-ready-kafka-streams-app-before-the-end-of-this-talk)).

## Blog Posts & Release Announcements

* 2020-05-12 | [Introducing Azkarra Streams 0.7](https://medium.com/streamthoughts/introducing-azkarra-streams-0-7-4e521c8223ad)
* 2020-01-09 | [Create Kafka Streams applications faster than ever before with Azkarra Streams](https://dev.to/fhussonnois/create-kafka-streams-applications-faster-than-ever-before-via-azkarra-streams-3nng)
* 2020-01-07 | [What's new in Azkarra Streams v0.5](https://medium.com/streamthoughts/whats-new-in-azkarra-streams-v0-5-4b919b688308)
* 2019-12-04 | [How to secure your Azkarra Streams application for production](https://medium.com/streamthoughts/how-to-secure-your-azkarra-streams-application-for-production-b78454b0a4b5)
* 2019-11-27 | [Introducing Azkarra Streams : The first micro-framework for Apache Kafka Streams](https://medium.com/streamthoughts/introducing-azkarra-streams-the-first-micro-framework-for-apache-kafka-streams-e13605f3a3a6)

## Demonstration projects

* **[Scottify](https://github.com/streamthoughts/demo-kafka-streams-scottify)** : This project contains an example of streams application using Kafka Streams and Azkarra Streams libraries.

## Code examples : 

* [Basic TopologyProvider](https://github.com/streamthoughts/azkarra-streams/blob/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/topology/BasicWordCountTopology.java)
* [Configurable TopologyProvider](https://github.com/streamthoughts/azkarra-streams/blob/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/topology/ConfigurableWordCountTopology.java)
* [Writing a TopologyProvider as a Module](https://github.com/streamthoughts/azkarra-streams/tree/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/dependency)
* [Building an Azkarra Application without component-scan](https://github.com/streamthoughts/azkarra-streams/tree/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/noannotation)
* [Writing a custom HealthCheck](https://github.com/streamthoughts/azkarra-streams/tree/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/healthcheck)
* [Configuring an azkarra application with Basic authentication](https://github.com/streamthoughts/azkarra-streams/blob/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/security/BasicAuthenticationExample.java)
* [Configuring an azkarra application with SSL-Two-Way authentication](https://github.com/streamthoughts/azkarra-streams/blob/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/security/SSLAuthenticationExample.java)
* [Declaring conditional components](https://github.com/streamthoughts/azkarra-streams/tree/master/azkarra-examples/src/main/java/io/streamthoughts/examples/azkarra/conditional)





